TTrackPoint< Transformation > Class Template Reference

Class to track pixel movement based on a transformation. More...

`#include <mia/template/trackpoint.hh>`

Inheritance diagram for TTrackPoint< Transformation >:
[legend]

## Public Types

typedef Transformation::Vector | Vector

## Public Member Functions

int | get_id () const
const Vector & | get_pos () const
const std::string & | get_reserved () const
| returns the reserved field
float | get_time () const
void | move (float timestep, const Transformation &t)
void | print (std::ostream &os) const
bool | read (std::string &is)
| TTrackPoint ()
| TTrackPoint (int id, float time, const Vector &pos, const std::string &reserved)

## Static Public Member Functions

static std::vector< TTrackPoint > | load_trackpoints (const std::string &in_filename)

## Detailed Description

template<typename Transformation>
class TTrackPoint< Transformation >

Class to track pixel movement based on a transformation.

Template Parameters

  transformation | type to be considered

This class holds the information to track a single pixel in ND space (defined by the transformation) over time and with a given transformation.

Definition at line 41 of file template/trackpoint.hh.

## Member Typedef Documentation

## Vector

template<typename Transformation>

typedef Transformation::Vector TTrackPoint< Transformation >::Vector

Definition at line 44 of file template/trackpoint.hh.

## Constructor & Destructor Documentation

## TTrackPoint() [1/2]

template<typename Transformation>

TTrackPoint< Transformation >::TTrackPoint | ( |  | ) |

## TTrackPoint() [2/2]

template<typename Transformation>

TTrackPoint< Transformation >::TTrackPoint | ( | int | id,
|  | float | time,
|  | const Vector & | pos,
|  | const std::string & | reserved )

Initialize a new tracking point

Parameters

  id |
  time |
  pos |
  reserved |

## Member Function Documentation

## get_id()

template<typename Transformation>

int TTrackPoint< Transformation >::get_id | ( |  | ) | const

Returns
  the point ID

## get_pos()

template<typename Transformation>

const Vector & TTrackPoint< Transformation >::get_pos | ( |  | ) | const

Returns
  the current position

## get_reserved()

template<typename Transformation>

const std::string & TTrackPoint< Transformation >::get_reserved | ( |  | ) | const

returns the reserved field

## get_time()

template<typename Transformation>

float TTrackPoint< Transformation >::get_time | ( |  | ) | const

Returns
  the current time value

## load_trackpoints()

template<typename Transformation>

std::vector< TTrackPoint > TTrackPoint< Transformation >::load_trackpoints | ( | const std::string & | in_filename | ) |

static

Load the trackpoints from an input file

Parameters

  in_filename | input file name in csv format

Returns
  the list of track points

## move()

template<typename Transformation>

void TTrackPoint< Transformation >::move | ( | float | timestep,
|  | const Transformation & | t )

Mova the pixel according tho a time step and based on the given transformation

Parameters

  timestep | the time step to apply
  t | the transformation to apply

## print()

template<typename Transformation>

void TTrackPoint< Transformation >::print | ( | std::ostream & | os | ) | const

print the point to an output stream

Parameters

  os | output stream

Referenced by operator<<().

## read()

template<typename Transformation>

bool TTrackPoint< Transformation >::read | ( | std::string & | is | ) |

Read the point from an input line. The point must be of format id;time;x;y;z[;reserved]

Parameters

  is | input string to read the point from

Returns
  true if the track point was read successfully, false otherwise

The documentation for this class was generated from the following file:

- template/trackpoint.hh